Subject: bug#40774: Error messages shouldn't be hidden when the user is idle

From: ndame <[email-masked]>
Date: Wed, 22 Apr 2020 18:21:48 +0000

On Wednesday, April 22, 2020 8:11 PM, Eli Zaretskii <[email-masked]> wrote:

> >
> > > How do you define "user is idle"?
> >
> > The same definition what run-with-idle-timer uses is suitable.
>
> Are you sure? That defines when Emacs is idle, which is not the
> same thing.

Yes, I meant "user is idle" from Emacs' point of view. I should have
been more precise. I wrote: "the user is idle (e.g. uses an other app
or is away from the computer)".

So this feature comes into play when the user is idle in Emacs,
e.g. uses an other app, so doesn't look at the Emacs window
and can miss error messages.